### Method

# Gimp Config serialize

#### Declaration [src]

    gboolean
    gimp_config_serialize (
      GimpConfig* config,
      GimpConfigWriter* writer,
      gpointer data
    )

#### Description [src]

Serialize the `GimpConfig` object.

Available since: | 2.8

#### Parameters

`writer` | `GimpConfigWriter`
| The `GimpConfigWriter` to use.
| The data is owned by the caller of the function.
`data` | `gpointer`
| Client data.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| Whether serialization succeeded.